Subject: [726] "autogroup" and "guestgroup"

From: [email-masked] (Yoshiharu Araki - Nihon SunService S/W Support)
Date: Thu, 17 Nov 1994 13:32:48 +0900

I installed a wu-ftpd-2.4 last night on solaris2.3. Then, I tried to setup 
a "autogroup" or "guestgroup" but they didn't work correctly. Dose anyone
know how to setup a "autogroup" and "guestgroup"?  please send me the setup 
example of them.

Thanks a lot.

--Yoshiharu Araki

[email-masked]
SunService Software Support Engineer
Nihon Sun Microsystems K.K.

---

From: [email-masked] (Dave Nye)
Date: Thu, 17 Nov 1994 11:03:46 -0500 (EST)

I'd like to hear the info you get on this question as I'm trying to do the
same thing. :)

-=Dave

[email-masked] writes:
#
#I installed a wu-ftpd-2.4 last night on solaris2.3. Then, I tried to setup 
#a "autogroup" or "guestgroup" but they didn't work correctly. Dose anyone
#know how to setup a "autogroup" and "guestgroup"?  please send me the setup 
#example of them.
#
#
#Thanks a lot.
#
#--Yoshiharu Araki
#
[email-masked]
#SunService Software Support Engineer
#Nihon Sun Microsystems K.K.
#

-- 
**BayNetworksInc*BayNetworksInc*BayNetworksInc*BayNetworksInc*BayNetworksInc**
    David L. Nye                               Systems Mgr. - Engineering 
    [email-masked]                         Bay Networks Inc.
**BayNetworksInc*BayNetworksInc*BayNetworksInc*BayNetworksInc*BayNetworksInc**

---

From: Sheryl Coppenger <[email-masked]>
Date: Thu, 17 Nov 1994 13:03:10 -0500 (EST)

> #know how to setup a "autogroup" and "guestgroup"?  please send me the setup 

I did this.  My goal was to let several users log in to area from
limited number of local machines and be able to add and remove files.
In the system /etc/group I added a "graphics" group.  In the system
/etc/passwd I added several users who were in the "graphics" group
but had a shell of /bin/false because we don't allow regular logins
to the ftp server.

In /usr/local/etc/ftpaccess I added the following lines (in their
appropriate places in the file):

class   graphics real,guest  <list of IP numbers graphics group can login from>

upload  /usr/orson/1/ftp  /pub/graphics yes     graphics graphics 775
upload  /usr/orson/1/ftp  /pub/graphics/* yes     graphics graphics 775

guestgroup graphics

and I changed the definition of local and remote classes (right after
the graphics class entry):

class   local   anonymous *.gwu.edu 128.164.*
class   remote  anonymous *

Hope that helps.  If anybody sees a problem with it I'd also like to know.

-- 

Sheryl Coppenger    SEAS Computing Facility Staff        [email-masked]
               	    The George Washington University     (202) 994-6853